Package in.cdac.medinfo.csnotk.csnolib.model

## Class RefSetMember

- java.lang.Object
- - in.cdac.medinfo.csnotk.csnolib.model.VersionedComponent
  - - in.cdac.medinfo.csnotk.csnolib.model.Derivative
    - - in.cdac.medinfo.csnotk.csnolib.model.RefSetMember

-     public class RefSetMember
      extends Derivative

  Abstract class RefSetMember derived from `Derivative` Each Refset shall be added as a separate class that shall inherit this class

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RefSetMember()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getAcceptabilityId()` |
    `java.lang.String` | `getReferencedComponentId()` | Returns the Id of the SNOMED CT Component related to the Refset member
    `java.lang.String` | `getRefSetId()` | Returns id of the Refset
    `void` | `setAcceptabilityId​(java.lang.String acceptabilityId)` |
    `void` | `setReferencedComponentId​(java.lang.String referencedComponentId)` | Sets the referencedComponentId
    `void` | `setRefSetId​(java.lang.String refSetId)` | Sets the Refset Id

    - ### Methods inherited from class in.cdac.medinfo.csnotk.csnolib.model.Derivative

      `getId, setId`

    - ### Methods inherited from class in.cdac.medinfo.csnotk.csnolib.model.VersionedComponent

      `getActiveStatus, getModuleId, getTime, setActiveStatus, setModuleId, setTime`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RefSetMember

          public RefSetMember()

  - ### Method Detail

    - #### getAcceptabilityId

          public java.lang.String getAcceptabilityId()

    - #### setAcceptabilityId

          public void setAcceptabilityId​(java.lang.String acceptabilityId)

    - #### getRefSetId

          public java.lang.String getRefSetId()

      Returns id of the Refset
      Returns:
        id of a Refset

    - #### setRefSetId

          public void setRefSetId​(java.lang.String refSetId)

      Sets the Refset Id
      Parameters:
        `refSetId` - Id of a Refset

    - #### getReferencedComponentId

          public java.lang.String getReferencedComponentId()

      Returns the Id of the SNOMED CT Component related to the Refset member
      Returns:
        referenced Component Id

    - #### setReferencedComponentId

          public void setReferencedComponentId​(java.lang.String referencedComponentId)

      Sets the referencedComponentId
      Parameters:
        `referencedComponentId` - id of the SNOMED CT Component that is related to the Refset member